void Rename(char *ifile1, char *ifile2, int twofiles, FILE *f10)
{
        FILE *f1, *f3;
        FSM fsm1, fsm3;
        
        /* illustration of function to rename states */
        
        if(!twofiles)
        {
                ifile1 = "../data/rename.data";
                ifile2 = "../data/rename.results";
        }
        f1 = fopen(ifile1, "r");
        f3 = fopen(ifile2, "w");

        fsm_read(f1, &fsm1);
        fsm_rename(&fsm1);
        fsm_print(f3, &fsm1);

        /*   fsm_delete(&fsm1);         */
        fclose(f1);
        fclose(f3);
        
        fprintf(f10, "Rename operation on input file : \n\t %s \n", ifile1);
        fprintf(f10, "Renamed output file:\n \t %s \n\n\n", ifile2);
    
        /*end l*/
}

